Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema
Class SOMAny

    java.lang.Object
      |
      +--com.bea.schema.SOMObject
            |
            +--com.bea.schema.SOMGroupType
                  |
                  +--com.bea.schema.SOMAny

public class SOMAny
extends SOMGroupType

<any> The XML representation for a wildcard schema component is an any or anyAttribute element information item.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`static short` | `LAX`
`static short` | `SKIP`
`static short` | `STRICT`

Fields inherited from class com.bea.schema.SOMGroupType
`m_childElements`

Constructor Summary
`` | `SOMAny()`
`protected` | `SOMAny(org.xml.sax.Attributes attrs, SOMObject parent)`

Method Summary
`SOMAll` | `add(SOMAll p_all)` An <all> is an illegal child element for <any>.
`SOMAny` | `add(SOMAny p_any)` An <any> is an illegal child element for <any>.
`SOMChoice` | `add(SOMChoice p_choice)` A <choice> is an illegal child element for <any>.
`SOMGroup` | `add(SOMGroup p_group)` A <group> is an illegal child element for <any>.
`SOMSequence` | `add(SOMSequence p_sequence)` A <sequence> is an illegal child element for <any>.
`void` | `createDefault(DefaultDocumentOptions options, org.w3c.dom.Element current)`
`java.lang.String` | `getID()`
`void` | `setProcessContents(short p_processContents)` set the processContents attribute
`protected boolean` | `startsWith(org.w3c.dom.Node element)` Not supported with this release

Methods inherited from class com.bea.schema.SOMGroupType
`add, addAnnotation, addChild, addElement, addElement, contains, getAnnotation, getAttributes, getChildren, getChildrenString, getMaxOccurs, getMaxOccursString, getMinOccurs, getMinOccursString, remove, removeAnnotation, setMaxOccurs, setMaxOccurs, setMinOccurs, setMinOccurs, toXML, validateOccurances`

Methods inherited from class com.bea.schema.SOMObject
`addPrefixMapping, attributesToXML, collectEffectivePrefixMappings, doIndent, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, namespacePrefixesToXML, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, toString, toXML, toXML, toXML, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STRICT

    public static final short STRICT

### SKIP

    public static final short SKIP

### LAX

    public static final short LAX

Constructor Detail

### SOMAny

    public SOMAny()

### SOMAny

    protected SOMAny(org.xml.sax.Attributes attrs,
                     SOMObject parent)

Method Detail

### setProcessContents

    public void setProcessContents(short p_processContents)

  set the processContents attribute

  Parameters:
    `p_processContents` - LAX, SKIP, STRICT

### getID

    public java.lang.String getID()

  Overrides:
    getID in class SOMObject

### add

    public SOMChoice add(SOMChoice p_choice)

  A <choice> is an illegal child element for <any>. This method ALWAYS throws an IllegalArgumentException.

  Parameters:
    `p_any` - not applicable
  Returns:
    not applicable
  Overrides:
    add in class SOMGroupType

### add

    public SOMGroup add(SOMGroup p_group)

  A <group> is an illegal child element for <any>. This method ALWAYS throws an IllegalArgumentException.

  Parameters:
    `p_any` - not applicable
  Returns:
    not applicable
  Overrides:
    add in class SOMGroupType

### add

    public SOMSequence add(SOMSequence p_sequence)

  A <sequence> is an illegal child element for <any>. This method ALWAYS throws an IllegalArgumentException.

  Parameters:
    `p_any` - not applicable
  Returns:
    not applicable
  Overrides:
    add in class SOMGroupType

### add

    public SOMAll add(SOMAll p_all)

  An <all> is an illegal child element for <any>. This method ALWAYS throws an IllegalArgumentException.

  Parameters:
    `p_any` - not applicable
  Returns:
    not applicable
  Overrides:
    add in class SOMGroupType

### add

    public SOMAny add(SOMAny p_any)

  An <any> is an illegal child element for <any>. This method ALWAYS throws an IllegalArgumentException.

  Parameters:
    `p_any` - not applicable
  Returns:
    not applicable
  Overrides:
    add in class SOMGroupType

### createDefault

    public void createDefault(DefaultDocumentOptions options,
                              org.w3c.dom.Element current)

  Overrides:
    createDefault in class SOMGroupType

### startsWith

    protected boolean startsWith(org.w3c.dom.Node element)

  Not supported with this release

  Parameters:
    `element` - n/a
  Returns:
    false
  Overrides:
    startsWith in class SOMGroupType

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)